Create an enhanced individual verification session
Creates a new KYC enhanced verification session for an individual. If the individual already exists (upgrade), only enhanced documents are required. If not (direct-to-enhanced), all documents are required.
Authorization
x-api-key In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/kyc/individual-verification-sessions/enhanced" \ -H "Content-Type: application/json" \ -d '{ "documentId": "string", "sourceOfFundsDocType": "BUSINESS_INCOME", "purposeOfTransactions": "BUSINESS_TRANSACTIONS", "proofOfAddressDocType": "UTILITY_BILL", "purposeOfTransactionsExplanation": "string" }'{ "session": { "id": "string", "individualId": "string", "status": "PENDING", "firstName": "string", "lastName": "string", "birthDate": "string", "document": { "id": "string", "type": "string", "category": "string" }, "createdAt": "string", "updatedAt": "string" }, "frontDocumentUpload": { "url": "string", "fields": { "bucket": "string", "X-Amz-Algorithm": "string", "X-Amz-Credential": "string", "X-Amz-Date": "string", "key": "string", "Policy": "string", "X-Amz-Signature": "string" } }, "backDocumentUpload": { "url": "string", "fields": { "bucket": "string", "X-Amz-Algorithm": "string", "X-Amz-Credential": "string", "X-Amz-Date": "string", "key": "string", "Policy": "string", "X-Amz-Signature": "string" } }, "sourceOfFundsDocumentUpload": { "url": "string", "fields": { "bucket": "string", "X-Amz-Algorithm": "string", "X-Amz-Credential": "string", "X-Amz-Date": "string", "key": "string", "Policy": "string", "X-Amz-Signature": "string" } }, "proofOfOwnershipDocumentUpload": { "url": "string", "fields": { "bucket": "string", "X-Amz-Algorithm": "string", "X-Amz-Credential": "string", "X-Amz-Date": "string", "key": "string", "Policy": "string", "X-Amz-Signature": "string" } }, "incomeTaxDocumentUpload": { "url": "string", "fields": { "bucket": "string", "X-Amz-Algorithm": "string", "X-Amz-Credential": "string", "X-Amz-Date": "string", "key": "string", "Policy": "string", "X-Amz-Signature": "string" } }, "individualHoldingDocumentUpload": { "url": "string", "fields": { "bucket": "string", "X-Amz-Algorithm": "string", "X-Amz-Credential": "string", "X-Amz-Date": "string", "key": "string", "Policy": "string", "X-Amz-Signature": "string" } }, "proofOfAddressDocumentUpload": { "url": "string", "fields": { "bucket": "string", "X-Amz-Algorithm": "string", "X-Amz-Credential": "string", "X-Amz-Date": "string", "key": "string", "Policy": "string", "X-Amz-Signature": "string" } }}List curated fund catalog GET
Returns active curated Enzyme Blue and Onyx funds with editorial metadata, cached vault metrics (including investor count, top depositor percent, net deposits 30d), and the fund chain.
Create a standard business verification session POST
Creates a new KYC verification session for a business. This endpoint initiates the business identity verification process by collecting company information (legal name, CNPJ, legal nature, contact details) and owners information. The session will generate upload URLs for the company proof of address document, social contract document, and owner documents (document and proof of address for each owner).